## org.apache.lucene.search.similarities
Class AfterEffect.NoAfterEffect

    java.lang.Object
      org.apache.lucene.search.similarities.AfterEffect
          org.apache.lucene.search.similarities.AfterEffect.NoAfterEffect

Enclosing class:
  AfterEffect

    public static final class AfterEffect.NoAfterEffect

extends AfterEffect

Implementation used when there is no aftereffect.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.AfterEffect
`AfterEffect.NoAfterEffect`

Constructor Summary
`AfterEffect.NoAfterEffect()` Sole constructor: parameter-free

Method Summary
`Explanation` `explain(BasicStats stats, float tfn)` Returns an explanation for the score.
`float` `score(BasicStats stats, float tfn)` Returns the aftereffect score.
`String` `toString()` Subclasses must override this method to return the code of the after effect formula.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AfterEffect.NoAfterEffect

    public AfterEffect.NoAfterEffect()

  Sole constructor: parameter-free

Method Detail

### score

    public final float score(BasicStats stats,
                             float tfn)

  Description copied from class: `AfterEffect`
  Returns the aftereffect score.

  Specified by:
    `score` in class `AfterEffect`

### explain

    public final Explanation explain(BasicStats stats,
                                     float tfn)

  Description copied from class: `AfterEffect`
  Returns an explanation for the score.

  Specified by:
    `explain` in class `AfterEffect`

### toString

    public String toString()

  Description copied from class: `AfterEffect`
  Subclasses must override this method to return the code of the after effect formula. Refer to the original paper for the list.

  Specified by:
    `toString` in class `AfterEffect`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.